Bug 866099 - [abrt] gwibber-3.4.2-3.fc17: urllib2.py:527:http_error_default:HTTPError: HTTP Error 401: Unauthorized
[abrt] gwibber-3.4.2-3.fc17: urllib2.py:527:http_error_default:HTTPError: HTT...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:d38d3279fcb52726f123ee72444...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 19:20 EDT by scorpio
Modified: 2014-02-05 07:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:34:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (32 bytes, text/plain)
2012-10-13 19:20 EDT, scorpio
no flags Details
File: environ (1.43 KB, text/plain)
2012-10-13 19:20 EDT, scorpio
no flags Details
File: core_backtrace (685 bytes, text/plain)
2012-10-13 19:20 EDT, scorpio
no flags Details

  None (edit)
Description scorpio 2012-10-13 19:20:40 EDT
Description of problem:
Adding a new twitter account, authorization ok and then an error message

Version-Release number of selected component:
gwibber-3.4.2-3.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.15
cmdline:        /usr/bin/python /usr/bin/gwibber-accounts
kernel:         3.6.1-1.fc18.x86_64

backtrace:
:urllib2.py:527:http_error_default:HTTPError: HTTP Error 401: Unauthorized
:
:Traceback (most recent call last):
:  File "/usr/share/gwibber/plugins/twitter/gtk/twitter/__init__.py", line 131, in on_twitter_auth_title_change
:    tokendata = urllib2.urlopen(request.http_url, request.to_postdata()).read()
:  File "/usr/lib64/python2.7/urllib2.py", line 126, in urlopen
:    return _opener.open(url, data, timeout)
:  File "/usr/lib64/python2.7/urllib2.py", line 406, in open
:    response = meth(req, response)
:  File "/usr/lib64/python2.7/urllib2.py", line 519, in http_response
:    'http', request, response, code, msg, hdrs)
:  File "/usr/lib64/python2.7/urllib2.py", line 444, in error
:    return self._call_chain(*args)
:  File "/usr/lib64/python2.7/urllib2.py", line 378, in _call_chain
:    result = func(*args)
:  File "/usr/lib64/python2.7/urllib2.py", line 527, in http_error_default
:    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
:HTTPError: HTTP Error 401: Unauthorized
:
:Local variables in innermost frame:
:fp: <addinfourl at 32347704 whose fp = <socket._fileobject object at 0x1cc17d0>>
:code: 401
:hdrs: <httplib.HTTPMessage instance at 0x1ed9518>
:self: <urllib2.HTTPDefaultErrorHandler instance at 0x1ed7200>
:req: <urllib2.Request instance at 0x1ed93b0>
:msg: 'Unauthorized'
Comment 1 scorpio 2012-10-13 19:20:43 EDT
Created attachment 626701 [details]
File: dso_list
Comment 2 scorpio 2012-10-13 19:20:46 EDT
Created attachment 626702 [details]
File: environ
Comment 3 scorpio 2012-10-13 19:20:48 EDT
Created attachment 626703 [details]
File: core_backtrace
Comment 4 Fedora End Of Life 2013-12-21 04:07:07 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 07:34:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.